@import "../../../../styles/variable.scss";

.footer {
  transition: box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  // background-color: $background-color;
  // background: linear-gradient(165deg, #78a5e4, #5389d5 20%, #3D71B8);
  // background-color: #3D71B8;
  box-shadow: none;
  // display: flex;
  // flex-direction: column;
  width: 100%;
  box-sizing: border-box;
  flex-shrink: 0;
  position: absolute;
  bottom: 0;
  // position: fixed;
  // position: sticky;
  // z-index: 1100;
  // top: 0px;
  // left: auto;
  // right: 0px;
  color: rgb(255, 255, 255);
  // padding-left: calc($sidebar-width + 15px);
  transition: all 0.3s ease-in-out;
  // padding-top: 50px;
  // padding-bottom: 50px;

  // background-color: rgb(250, 251, 251);
  .footerContainer {
    position: relative;
    display: flex;
    justify-content: space-between;
    -webkit-box-align: center;
    align-items: center;
    min-height: $header-height;
    .footerMenu {
      // border-bottom: 1px solid rgba(255,255,255,0.5);
      padding-top: 10px;
      a {
        margin: 0px 2px 0px 2px;
        font-size: 14px;
        font-family: var($font-family);
        color: #fff;
      }
    }
    .logoSection {
      // width: $sidebar-width;
      // margin-right: 30px;
      // text-align: center;
      display: flex;
      // justify-content: center;
      a {
        display: inline-flex;
      }
      img {
        width: 150px !important;
      }
    }
    .headerLogo {
      opacity: 0;
    }
    button {
      display: flex;
      padding: 10px;
      border: none;
      // border-radius: 12px;
      box-shadow: 0px 2px 48px rgba(0, 0, 0, 0.04);
      // background-color: #fff;
      // border-radius: 10px;
      // background-color: transparent;
      // margin-right: 15px;
      svg {
        width: 16px;
        height: 16px;
        color: #fff;
      }
    }
    .headerContainerCenter {
      -webkit-box-flex: 1;
      flex-grow: 1;
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .dropdownMenu {
      position: relative;
      button {
        align-items: center;
      }
      svg {
        width: 20px;
        height: 20px;
        margin-left: 10px;
      }
      .dropdownList {
        // display: none;
        position: absolute;
        right: 0;
        top: 130%;
        background-color: #fff;
        box-shadow: rgb(0 0 0 / 8%) 1px 2px 10px;
        width: 250px;
        border-radius: 10px;
        padding: 5px 0px;
        a {
          padding: 10px;
          display: block;
          border-radius: 10px;
          margin: 0px 5px;
          color: $secondary-color;
          svg {
            margin-left: 0px;
            margin-right: 10px;
            color: rgba(0, 0, 0, 0.24);
            width: 20px;
            height: 30px;
          }
          &:hover {
            background-color: $primary-color;
            color: $sub-background;
            svg {
              color: rgba(255, 255, 255, 0.54);
            }
          }
        }
      }
    }
  }

  .footerCopyright {
    background-color: $footerbg;
    text-align: center;
    font-size: 10px;
    padding: 15px;
    // margin-top: 20px;
  }

  &.headerClose {
    padding-left: 0px;
    transition: all 0.3s ease-in-out;
    .headerContainer {
      .headerLogo {
        opacity: 1;
      }
    }
  }
}
